Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# OdometrySelfLocator Class Reference

Class for self-localization based on odometry. More...

`#include <OdometrySelfLocator.h>`

Inheritance diagram for OdometrySelfLocator:

[legend]
Collaboration diagram for OdometrySelfLocator:

[legend]
List of all members.

## Public Member Functions
| OdometrySelfLocator (const SelfLocatorInterfaces &interfaces)
| Constructor.
| ~OdometrySelfLocator ()
| Destructor.
virtual void | execute ()
| Executes the module.
## Public Attributes
Pose2D | referencePose
Pose2D | referenceOdometry
unsigned long int | timeOfLastExecute

## Detailed Description

Class for self-localization based on odometry.

Definition at line 17 of file OdometrySelfLocator.h.

## Constructor & Destructor Documentation

OdometrySelfLocator::OdometrySelfLocator | ( | const SelfLocatorInterfaces & | interfaces | ) |

  | Constructor. Parameters:
  interfaces | The paramters of the SelfLocator module.
Definition at line 13 of file OdometrySelfLocator.cpp. References referencePose, Pose2D::rotation, timeOfLastExecute, Pose2D::translation, Vector2< double >::x, and Vector2< double >::y.

OdometrySelfLocator::~OdometrySelfLocator | ( |  | ) | `[inline]`

| Destructor. Definition at line 29 of file OdometrySelfLocator.h.

## Member Function Documentation

void OdometrySelfLocator::execute | ( |  | ) | `[virtual]`

| Executes the module. Reimplemented from Module. Definition at line 23 of file OdometrySelfLocator.cpp. References DEBUG_RESPONSE, fromDegrees(), RobotState::getButtonPressed(), referenceOdometry, referencePose, Pose2D::rotation, Pose2D::translation, Vector2< double >::x, and Vector2< double >::y.

Here is the call graph for this function:

## Member Data Documentation

Pose2D OdometrySelfLocator::referencePose

| Definition at line 34 of file OdometrySelfLocator.h. Referenced by execute(), and OdometrySelfLocator().

Pose2D OdometrySelfLocator::referenceOdometry

| Definition at line 35 of file OdometrySelfLocator.h. Referenced by execute().

unsigned long int OdometrySelfLocator::timeOfLastExecute

| Definition at line 36 of file OdometrySelfLocator.h. Referenced by OdometrySelfLocator().

The documentation for this class was generated from the following files:

- Modules/SelfLocator/OdometrySelfLocator.h
- Modules/SelfLocator/OdometrySelfLocator.cpp